ApiGenericResponse (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiGenericResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiGenericResponse

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiGenericResponse
      extends Object

  A generic response object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenericResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiGenericResponse` | `code(ApiResponseTypes code)`
    `boolean` | `equals(Object o)`
    `ApiResponseTypes` | `getCode()` Get code
    `String` | `getMessage()` Get message
    `int` | `hashCode()`
    `Boolean` | `isSuccess()` Get success
    `ApiGenericResponse` | `message(String message)`
    `void` | `setCode(ApiResponseTypes code)`
    `void` | `setMessage(String message)`
    `void` | `setSuccess(Boolean success)`
    `ApiGenericResponse` | `success(Boolean success)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenericResponse

          public ApiGenericResponse()

  - ### Method Detail

    - #### success

          public ApiGenericResponse success(Boolean success)

    - #### isSuccess

          public Boolean isSuccess()

      Get success
      Returns:
        success

    - #### setSuccess

          public void setSuccess(Boolean success)

    - #### code

          public ApiGenericResponse code(ApiResponseTypes code)

    - #### getCode

          public ApiResponseTypes getCode()

      Get code
      Returns:
        code

    - #### setCode

          public void setCode(ApiResponseTypes code)

    - #### message

          public ApiGenericResponse message(String message)

    - #### getMessage

          public String getMessage()

      Get message
      Returns:
        message

    - #### setMessage

          public void setMessage(String message)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.